[3.2] Update Fehler zu 3.2.7

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
chemis
Mitglied
Beiträge: 85
Registriert: 06.11.2013 22:18

[3.2] Update Fehler zu 3.2.7

Beitragvon chemis » 08.05.2019 14:00

Hallo ich habe Fehlermeldung grad auf die Seite "Benutzerdefinierte Profilfelder" entdeckt.
Ich bekomme folgende Fehlermeldung:

Code: Alles auswählen

[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/acp/acp_profile.php on line 779: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3365)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3365)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3365)

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1978
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon canonknipser » 08.05.2019 16:07

welche php-Version hast du auf deinem Server im Einsatz?
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

chemis
Mitglied
Beiträge: 85
Registriert: 06.11.2013 22:18

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon chemis » 08.05.2019 22:39

PHP 7.2

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10247
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon Crizzo » 20.05.2019 19:24

Und das hast du direkt auf der Seite Admin-Bereich > Benutzer und Gruppen > Benutzerdefininierte Profilfelder? In Englisch, Deutsch oder Deutsch (Sie)?

Konnte ich jetzt nicht reproduzieren, wie viele Felder werden denn da bei dir da angezeigt?

Markus Dippold
Mitglied
Beiträge: 15
Registriert: 13.09.2018 19:58

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon Markus Dippold » 05.06.2019 16:03

Habe im Grunde den gleichen Fehler bei den "Anti SPAM-Bot-Maßnahmen" mit PHP 7.2 und 7.3. Ist egal, was ich einstelle.
Standard phpBB 3.2.7, keine Extensions, nix dazu. Sprache ist "Deutsch (Du)".


Code: Alles auswählen

[phpBB Debug] PHP Warning: in file [ROOT]/ext/derky/sortablescaptcha/captcha/sortables.php on line 1040: Declaration of derky/sortablescaptcha/captcha/sortables::acp_page($id, &$module) should be compatible with phpbb/captcha/plugins/qa::acp_page($id, $module)
[phpBB Debug] PHP Warning: in file [ROOT]/ext/derky/sortablescaptcha/captcha/sortables.php on line 1040: Declaration of derky/sortablescaptcha/captcha/sortables::acp_question_list(&$module) should be compatible with phpbb/captcha/plugins/qa::acp_question_list($module)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3365)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3365)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_acp.php on line 137: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3365)

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11965
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon Mahony » 05.06.2019 16:21

Hallo
Der Fehler in der Sortables Captcha Extension ist bekannt. Hier der Fix dafür https://www.phpbb.com/customise/db/exte ... 76#p687376

P.S. Ach ja, PHP 7.3 solltest du NICHT verwenden, da diese Version noch zu neu ist und nicht mit phpBB 3.2.7 kompatibel ist.

Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Markus Dippold
Mitglied
Beiträge: 15
Registriert: 13.09.2018 19:58

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon Markus Dippold » 05.06.2019 16:37

Danke, Fehler sind weg.

"Zu neu" ist gut. Viele andere Möglichkeiten habe ich nicht (mehr).
Und _angeblich_ wäre der Unterschied zwischen 7.2 und 7.3 nicht so, daß da Funktionen davon betroffen wären. Hat man mir gesagt ... in einem WBB2.3-Hilfeforum.

BTW: Dein Converter für WBB2.x auf phpBB, funktioniert der?
Ich wollte den vor einem Jahr schon mal ausprobieren, aber das hat nicht geklappt. Weiß allerdings nicht mehr, was.

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11965
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon Mahony » 05.06.2019 17:05

Hallo
Markus Dippold hat geschrieben:Und _angeblich_ wäre der Unterschied zwischen 7.2 und 7.3 nicht so, daß da Funktionen davon betroffen wären. Hat man mir gesagt ... in einem WBB2.3-Hilfeforum.

Aha...Du fragst also bei WBB nach, ob es zu Problemen mit PHP 7.3 und phpBB kommen kann? Ich hätte ja mal hier auf phpbb.de nachgefragt.

Markus Dippold hat geschrieben:BTW: Dein Converter für WBB2.x auf phpBB, funktioniert der?

Ähm...natürlich funktionieren meine Converter (wenn man sich an die beiliegende Anleitung hält).


Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Markus Dippold
Mitglied
Beiträge: 15
Registriert: 13.09.2018 19:58

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon Markus Dippold » 06.06.2019 13:02

Mahony hat geschrieben:Hallo
Markus Dippold hat geschrieben:Und _angeblich_ wäre der Unterschied zwischen 7.2 und 7.3 nicht so, daß da Funktionen davon betroffen wären. Hat man mir gesagt ... in einem WBB2.3-Hilfeforum.

Aha...Du fragst also bei WBB nach, ob es zu Problemen mit PHP 7.3 und phpBB kommen kann? Ich hätte ja mal hier auf phpbb.de nachgefragt.
Nicht doch ...
Ich habe auch noch ein WBB2.3-Forum ... das brauchte auch die eine und andere Anpassung.

Mahony hat geschrieben:
Markus Dippold hat geschrieben:BTW: Dein Converter für WBB2.x auf phpBB, funktioniert der?

Ähm...natürlich funktionieren meine Converter (wenn man sich an die beiliegende Anleitung hält).
Sicher.
Irgendwo hat es aber gehakt. Muß ich nochmal probieren.

PS: Jetzt weiß ich es wieder:
Keine Unterforen zulässig. Da müßte ich das bestehende WBB2.3.6 erstmal komplett umorganisieren.

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1978
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.2] Update Fehler zu 3.2.7

Beitragvon canonknipser » 06.06.2019 13:16

Markus Dippold hat geschrieben:Und _angeblich_ wäre der Unterschied zwischen 7.2 und 7.3 nicht so, daß da Funktionen davon betroffen wären.

Für so etwas würde ich Informationen erst einmal an der Quelle holen: https://www.php.net/manual/de/migration73.php
Da findet man dann auch so was: https://www.php.net/manual/de/migration ... atible.php und so was: https://www.php.net/manual/de/migration ... ecated.php

Bei phpBB tauchen ein paar Kleinigkeiten davon auf, nämlich u.a. die continue-Anwesiungen im switch und die teilweise veraltete Array-Syntax. Das wird erst im nächsten Release behoben, darum wurde mit der letzten Version bei der Installation (leider nicht beim Update nach der manuellen Methode) auch eine Prüfung auf die maximale php-Version eingebaut, bisher gab es die nur für die minimal php-Version.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC


Zurück zu „Support-Forum“